import Request from '@/utils/request/request-util';

/**
 * 流程备注
 *
 * @author fengshuonan
 * @date 2021/4/1 14:34
 */
export class FlowRemarkApi {
  /**
   * 获取指定流程的个人备注列表
   * @param {*} params
   * @returns
   */
  static findUserRemarkList(params) {
    return Request.get('/runtimeRemark/findUserRemarkList', params);
  }

  /**
   * 更新流程实例的个人备注
   * @param {*} params
   * @returns
   */
  static updateUserRemark(params) {
    return Request.post('/runtimeRemark/updateUserRemark', params);
  }
  
  /**
   * 获取用户常用审批意见列表
   * @param {*} params
   * @returns
   */
  static flowUserCommentList(params) {
    return Request.getAndLoadData('/flowUserComment/list', params);
  }

  /**
   * 编辑用户常用审批意见
   * @param {*} params
   * @returns
   */
  static updateTotal(params) {
    return Request.post('/flowUserComment/updateTotal', params);
  }
}
